<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(!$_POST['idevent']&&!$_POST['itemid']){
		$return['type'] = 1;
		$return['text'] = 'Vui lòng nhập đầu đủ yêu cầu.';
} else {
	if(!is_numeric($_POST['counta']) or $_POST['counta'] <= 0 or $_POST['count'] > 999){
		$return['type'] = 1;
		$return['text'] = 'Số lượng không phù hợp.';		
	} else {
	$getinfo = mysqli_query($conn, "Select * from giftcode WHERE IDEvent = '".$_POST['idevent']."'");
	if(mysqli_num_rows($getinfo)){
		// check item
	$getinfo = mysqli_query($conn, "Select * From item_goods WHERE ItemID = '".$_POST['itemid']."'");		
		if(mysqli_num_rows($getinfo)){
			mysqli_query($conn, "INSERT INTO giftcode_item (IDEvent,ItemID,Count_A) VALUES ('".$_POST['idevent']."','".$_POST['itemid']."','".$_POST['counta']."')");
		$return['type'] = 0;
		$return['text'] = 'Thêm vật phẩm thành công.';				
		} else {
		$return['type'] = 1;
		$return['text'] = 'Vật phẩm này không tồn tại.';			
		}
	} else {
		$return['type'] = 1;
		$return['text'] = 'Event này không tồn tại.';		
	}
}
}
		echo json_encode($return);
		exit();